clear @a stick
clear @a shield
clear @a bow
clear @a crossbow
clear @a carrot_on_a_stick
clear @a feather
clear @a scute
clear @a redstone
clear @a ender_eye

execute as @a[tag=!ranger] unless entity @s[nbt={Inventory:[{tag:{Bow:1b}}]}] run replaceitem entity @s hotbar.5 bow{Bow:1b,HideFlags:4,Unbreakable:1b}

execute as @a[tag=defender,tag=!berserk,tag=!flame] unless entity @s[nbt={Inventory:[{tag:{IronSword:1b}}]}] run replaceitem entity @s hotbar.3 minecraft:stick{display:{Name:'{"text":"Iron Sword","italic":false}'},IronSword:1b,CustomModelData:10130000,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:6,Operation:0,UUIDLeast:768184,UUIDMost:141146,Slot:"mainhand"}]} 1
execute as @a[tag=defender,tag=!berserk,tag=!flame] unless entity @s[nbt={Inventory:[{tag:{Shield:1b}}]}] run replaceitem entity @s weapon.offhand shield{Shield:1b,HideFlags:4,Unbreakable:1b,CustomModelData:10130000}

execute as @a[tag=defender,tag=berserk] unless entity @s[nbt={Inventory:[{tag:{BerserkAxe:1b}}]}] run replaceitem entity @s hotbar.3 minecraft:stick{display:{Name:'{"text":"Berserk Axe","color":"gold","italic":false}'},HideFlags:63,Normal:1b,BerserkAxe:1b,CustomModelData:10130004,AttributeModifiers:[{AttributeName:"generic.attackSpeed",Name:"generic.attackSpeed",Amount:-1,Operation:0,UUIDLeast:656881,UUIDMost:356461,Slot:"mainhand"},{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:7,Operation:0,UUIDLeast:629391,UUIDMost:750015,Slot:"mainhand"}]} 1
execute as @a[tag=defender,tag=berserk] unless entity @s[nbt={Inventory:[{tag:{BerserkShield:1b}}]}] run replaceitem entity @s weapon.offhand minecraft:shield{BerserkShield:1b,display:{Name:'{"text":"Berserk Shield","color":"gold","italic":false}',Lore:['{"text":"Blocking grants increased strength.","color":"dark_purple"}']},HideFlags:63,Unbreakable:1b,CustomModelData:10130001} 1

execute as @a[tag=defender,tag=flame] unless entity @s[nbt={Inventory:[{tag:{FlameSword:1b}}]}] run replaceitem entity @s hotbar.3 minecraft:stick{display:{Name:'{"text":"Flame Sword","color":"gold","italic":false}',Lore:['{"text":"Burns opponents.","color":"dark_purple"}']},FlameSword:1b,HideFlags:63,CustomModelData:10130003,Enchantments:[{id:"minecraft:fire_aspect",lvl:2s}],AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:6,Operation:0,UUIDLeast:194251,UUIDMost:683482}]} 1
execute as @a[tag=defender,tag=flame] unless entity @s[nbt={Inventory:[{tag:{FlameShield:1b}}]}] run replaceitem entity @s weapon.offhand minecraft:shield{HideFlags:63,Unbreakable:1b,CustomModelData:10130002,FlameShield:1b,display:{Name:'{"text":"Flame Shield","color":"gold","italic":false}',Lore:['{"text":"Block damage to build charge;","color":"dark_purple"}','{"text":"sneaking unleashes a fire bolt,","color":"dark_purple"}','{"text":"the damage of which scales with","color":"dark_purple"}','{"text":"said charge.","color":"dark_purple"}']}} 1

execute as @a[tag=ranger] unless entity @s[nbt={Inventory:[{tag:{IronDagger:1b}}]}] run replaceitem entity @s hotbar.3 minecraft:stick{display:{Name:'{"text":"Iron Dagger","italic":false}'},IronDagger:1b,CustomModelData:10130001,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:4,Operation:0,UUIDLeast:768184,UUIDMost:141146,Slot:"mainhand"}]} 1
execute as @a[tag=ranger,tag=!repeater,tag=!shotgun] unless entity @s[nbt={Inventory:[{tag:{Crossbow:1b}}]}] run replaceitem entity @s hotbar.5 minecraft:crossbow{Crossbow:1b,HideFlags:5,Unbreakable:1b,Enchantments:[{id:"minecraft:quick_charge",lvl:3s}]} 1

execute as @a[tag=ranger,tag=repeater] unless entity @s[nbt={Inventory:[{tag:{Repeater:1b}}]}] run replaceitem entity @s hotbar.5 minecraft:crossbow{display:{Name:'{"text":"Repeater Crossbow","color":"gold","italic":false}',Lore:['{"text":"Fires three shots in","color":"dark_purple"}','{"text":"rapid succession.","color":"dark_purple"}']},HideFlags:63,Unbreakable:1b,Repeater:1b,Enchantments:[{id:"minecraft:quick_charge",lvl:2s}]} 1
execute as @a[tag=ranger,tag=shotgun] unless entity @s[nbt={Inventory:[{tag:{Shotpoon:1b}}]}] run replaceitem entity @s hotbar.5 minecraft:crossbow{display:{Name:'{"text":"Shotgun Crossbow","color":"gold","italic":false}',Lore:['{"text":"Simultaneously fires three,","color":"dark_purple"}','{"text":"piercing shots.","color":"dark_purple"}']},HideFlags:63,Unbreakable:1b,Shotpoon:1,Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:piercing",lvl:5s},{id:"minecraft:quick_charge",lvl:2s}],AttributeModifiers:[{AttributeName:"generic.knockbackResistance",Name:"generic.knockbackResistance",Amount:1,Operation:0,UUIDLeast:175847,UUIDMost:508808,Slot:"mainhand"},{AttributeName:"generic.armor",Name:"generic.armor",Amount:2,Operation:0,UUIDLeast:515682,UUIDMost:799661,Slot:"mainhand"}]} 1

execute as @a[tag=healer,tag=!plague] unless entity @s[nbt={Inventory:[{tag:{Staff:1b}}]}] run replaceitem entity @s hotbar.3 minecraft:carrot_on_a_stick{display:{Name:'{"text":"Staff","italic":false}'},Staff:1b,CustomModelData:10130007,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:4,Operation:0,UUIDLeast:768184,UUIDMost:141146,Slot:"mainhand"}],Unbreakable:1b,HideFlags:4} 1

execute as @a[tag=healer,tag=plague] unless entity @s[nbt={Inventory:[{tag:{PlagueWand:1b}}]}] run replaceitem entity @s hotbar.3 minecraft:carrot_on_a_stick{display:{Name:'{"text":"Pungent Staff","color":"gold","italic":false}',Lore:['{"text":"Emits corrosive, toxic gas.","color":"dark_purple"}']},HideFlags:63,Unbreakable:1b,PlagueWand:1b,CustomModelData:10130000,AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Amount:5,Operation:0,UUIDLeast:194251,UUIDMost:683482}]} 1

execute as @a[tag=sneakheal] unless entity @s[nbt={Inventory:[{tag:{SneakHealthCharm:1b}}]}] run replaceitem entity @s inventory.26 minecraft:scute{display:{Name:'{"text":"Turtle Charm","color":"gold","italic":false}',Lore:['{"text":"Sneaking increases regeneration speed.","color":"dark_purple"}']},HideFlags:1,SneakHealthCharm:1b,Enchantments:[{id:"minecraft:protection",lvl:1s}]} 1
execute as @a[tag=speedhealth] unless entity @s[nbt={Inventory:[{tag:{CriticalCharm:1b}}]}] run replaceitem entity @s inventory.26 minecraft:feather{display:{Name:'{"text":"Fleeting Charm","color":"gold","italic":false}',Lore:['{"text":"When on low health,","color":"dark_purple"}','{"text":"gain increased speed.","color":"dark_purple"}']},HideFlags:1,CriticalCharm:1b,Enchantments:[{id:"minecraft:protection",lvl:1s}]} 1
execute as @a[tag=zerogravity] unless entity @s[nbt={Inventory:[{tag:{ZeroGravity:1b}}]}] run replaceitem entity @s inventory.26 minecraft:ender_eye{display:{Name:'{"text":"Anti-Gravity Charm","color":"gold","italic":false}',Lore:['{"text":"Arrows in the vicinity of the holder","color":"dark_purple"}','{"text":"become zero gravity arrows.","color":"dark_purple"}']},HideFlags:1,ZeroGravity:1b,Enchantments:[{id:"minecraft:protection",lvl:1s}]} 1
execute as @a[tag=vampirism] unless entity @s[nbt={Inventory:[{tag:{KillsHealCharm:1b}}]}] run replaceitem entity @s inventory.26 minecraft:redstone{display:{Name:'{"text":"Vampirism Charm","color":"gold","italic":false}',Lore:['{"text":"Every ten kills heal.","color":"dark_purple"}']},HideFlags:1,KillsHealCharm:1b,Enchantments:[{id:"minecraft:protection",lvl:1s}]} 1